package com.sjkj.appthreefloor_tsgz.fragment.viewModel;

import androidx.databinding.ObservableArrayList;
import androidx.databinding.ObservableField;
import androidx.databinding.ObservableInt;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;

import com.sjkj.appthreefloor_tsgz.bean.EventBean;
import com.sjkj.appthreefloor_tsgz.bean.MessageEvent;
import com.sjkj.base_lib.view.SingleLiveData;
import com.sjkj.base_lib.vm.BaseViewModel;

import java.util.List;

public class EventFargmentViewModel extends BaseViewModel {
    public ObservableInt version = new ObservableInt();
    public ObservableField<List<String>> EventPhones = new ObservableField<>();
    public ObservableField<String> title = new ObservableField<>("");
    public ObservableField<String> eventType = new ObservableField<>("");
    public ObservableField<String> remark = new ObservableField<>("");
    public ObservableField<String> address = new ObservableField<>("");
    public ObservableField<String> eventCode = new ObservableField<>("");
    public ObservableField<String> eventId = new ObservableField<>("");
    public ObservableField<String> keyword = new ObservableField<>("");
    public ObservableField<String> state = new ObservableField<>("");
    public ObservableField<String> eventStatus = new ObservableField<>("");
    public ObservableField<String> eventStatusValue = new ObservableField<>("");
    public ObservableField<String> eventTypeValue = new ObservableField<>("");
    public ObservableField<String> satrtTime = new ObservableField<>("");
    public ObservableField<String> endTime = new ObservableField<>("");
    public ObservableField<String> time = new ObservableField<>("");
    public ObservableField<String> position = new ObservableField<>("定位中...");
    public ObservableField<Double> longitude = new ObservableField<>(0.00);
    public ObservableField<Double> latitude = new ObservableField<>(0.00);
    public ObservableField<String> userName = new ObservableField<>("");
    public ObservableField<String> from = new ObservableField<>("");
    public ObservableField<String> content = new ObservableField<>("");

    public SingleLiveData<EventBean> singleLiveData = new SingleLiveData<>();

    public void getData() {
        singleLiveData.setValue(null);
    }

    private MutableLiveData<MessageEvent> message = new MutableLiveData<>();

    public LiveData<MessageEvent> getMessage() {
        return message;
    }

    public void setMessage(MessageEvent message) {
        this.message.setValue(message);
    }

}
